GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/terminal.h File Reference

Go to the source code of this file.

## Functions
void | new_tty_prefork (const char *)
void | new_tty (void)
void | new_tty_postfork (void)
void | copy_terminal_info (struct inferior *to, struct inferior *from)
pid_t | create_tty_session (void)
void | initialize_stdin_serial (void)
void | gdb_save_tty_state (void)
void | set_initial_gdb_ttystate (void)

## Function Documentation

## ◆ copy_terminal_info()

void copy_terminal_info | ( | struct inferior * | to,
|  | struct inferior * | from
| ) |  |

Definition at line 466 of file inflow.c.

References get_inflow_inferior_data(), terminal_info::run_terminal, serial_copy_tty_state(), stdin_serial, terminal_info::ttystate, and xfree().

Referenced by follow_fork_inferior().

## ◆ create_tty_session()

pid_t create_tty_session | ( | void |  | ) |

Definition at line 736 of file inflow.c.

References _, inferior_thisrun_terminal, job_control, safe_strerror(), and warning().

Referenced by postfork_child_hook().

## ◆ gdb_save_tty_state()

void gdb_save_tty_state | ( | void |  | ) |

Definition at line 229 of file inflow.c.

References gdb_has_a_terminal(), our_terminal_info, serial_get_tty_state(), stdin_serial, terminal_info::ttystate, and xfree().

Referenced by tui_disable(), and tui_enable().

## ◆ initialize_stdin_serial()

void initialize_stdin_serial | ( | void |  | ) |

Definition at line 762 of file inflow.c.

References serial_fdopen(), and stdin_serial.

Referenced by gdb_init().

## ◆ new_tty()

void new_tty | ( | void |  | ) |

Definition at line 610 of file inflow.c.

References _, check_syscall(), inferior_thisrun_terminal, O_NOCTTY, safe_strerror(), and warning().

Referenced by postfork_child_hook().

## ◆ new_tty_postfork()

void new_tty_postfork | ( | void |  | ) |

Definition at line 671 of file inflow.c.

References current_inferior(), get_inflow_inferior_data(), inferior_thisrun_terminal, and terminal_info::run_terminal.

Referenced by postfork_hook().

## ◆ new_tty_prefork()

void new_tty_prefork | ( | const char * |  | ) |

Definition at line 587 of file inflow.c.

References inferior_thisrun_terminal.

Referenced by prefork_hook().

## ◆ set_initial_gdb_ttystate()

void set_initial_gdb_ttystate | ( | void |  | ) |

Definition at line 158 of file inflow.c.

References initial_gdb_ttystate, our_terminal_info, terminal_info::process_group, serial_copy_tty_state(), serial_get_tty_state(), stdin_serial, tcgetpgrp(), terminal_info::tflags, and terminal_info::ttystate.

Referenced by gdb_init().